## r-cran-rann 2.6.1

=== DESCRIPTION ===
Package: RANN
Title: Fast Nearest Neighbour Search (Wraps ANN Library) Using L2
        Metric
Author: Sunil Arya and David Mount (for ANN), Samuel E. Kemp, Gregory Jefferis
Maintainer: Gregory Jefferis <jefferis@gmail.com>
Copyright: ANN library is copyright University of Maryland and Sunil
        Arya and David Mount. See file COPYRIGHT for details.
Description: Finds the k nearest neighbours for every point in a given dataset
    in O(N log N) time using Arya and Mount's ANN library (v1.1.3). There is
    support for approximate as well as exact searches, fixed radius searches
    and 'bd' as well as 'kd' trees. The distance is computed using the L2
    (Euclidean) metric. Please see package 'RANN.L1' for the same
    functionality using the L1 (Manhattan, taxicab) metric.
URL: https://github.com/jefferis/RANN
BugReports: https://github.com/jefferis/RANN/issues
Encoding: UTF-8
License: GPL (>= 3)
Suggests: testthat
Version: 2.6.1
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-01-08 19:24:15 UTC; jefferis
Repository: CRAN
Date/Publication: 2019-01-08 20:00:04 UTC

=== debian/changelog ===
r-cran-rann (2.6.1-1build2) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:28:38 +0000

r-cran-rann (2.6.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:50 +0100

r-cran-rann (2.6.1-1) unstable; urgency=medium

  * Initial release (closes: #934652)

 -- Steffen Moeller <moeller@debian.org>  Mon, 12 Aug 2019 15:04:52 +0200

=== debian/control ===
Source: r-cran-rann
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rann
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rann.git
Homepage: https://cran.r-project.org/package=RANN

Package: r-cran-rann
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Fast Nearest Neighbour Search Using L2 Metric
 Finds the k nearest neighbours for every point in a given dataset
 in O(N log N) time using Arya and Mount's ANN library (v1.1.3). There is
 support for approximate as well as exact searches, fixed radius searches
 and 'bd' as well as 'kd' trees. The distance is computed using the L2
 (Euclidean) metric. Please see package 'RANN.L1' for the same
 functionality using the L1 (Manhattan, taxicab) metric.

## r-cran-rann 2.6.2

=== DESCRIPTION ===
Package: RANN
Title: Fast Nearest Neighbour Search (Wraps ANN Library) Using L2
        Metric
Version: 2.6.2
Authors@R: c(
    person("Gregory","Jefferis", email="jefferis@gmail.com", 
      role = c("aut", "cre"), comment = c(ORCID = "0000-0002-0587-9355")),
    person(given = c("Samuel", "E."), family = "Kemp", role = "aut"),
    person(given = "Kirill",
             family = "M\u00fcller",
             role = "ctb",
             comment = c(ORCID = "0000-0002-1416-3412")),
    person("Sunil","Arya", role=c("aut", "cph"),
      comment = c(ORCID = "0000-0003-0939-4192")),
    person("David","Mount", role=c("aut", "cph"), 
      comment = c(ORCID = "0000-0002-3290-8932")),
    person("University of Maryland", role="cph",
      comment = "ANN library is copyright University of Maryland and Sunil Arya and
    David Mount. See file COPYRIGHT for details")
    )
Description: Finds the k nearest neighbours for every point in a
    given dataset in O(N log N) time using Arya and Mount's ANN library
    (v1.1.3). There is support for approximate as well as exact searches,
    fixed radius searches and 'bd' as well as 'kd' trees. The distance is
    computed using the L2 (Euclidean) metric. Please see package 'RANN.L1'
    for the same functionality using the L1 (Manhattan, taxicab) metric.
License: GPL (>= 3)
URL: https://github.com/jefferislab/RANN,
        https://jefferislab.github.io/RANN/
BugReports: https://github.com/jefferislab/RANN/issues
Suggests: testthat
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2024-08-25 14:16:59 UTC; jefferis
Author: Gregory Jefferis [aut, cre] (<https://orcid.org/0000-0002-0587-9355>),
  Samuel E. Kemp [aut],
  Kirill Müller [ctb] (<https://orcid.org/0000-0002-1416-3412>),
  Sunil Arya [aut, cph] (<https://orcid.org/0000-0003-0939-4192>),
  David Mount [aut, cph] (<https://orcid.org/0000-0002-3290-8932>),
  University of Maryland [cph] (ANN library is copyright University of
    Maryland and Sunil Arya and David Mount. See file COPYRIGHT for
    details)
Maintainer: Gregory Jefferis <jefferis@gmail.com>
Repository: CRAN
Date/Publication: 2024-08-25 15:30:02 UTC

=== debian/changelog ===
r-cran-rann (2.6.2-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Sep 2024 17:08:24 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-rann
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rann
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rann.git
 Homepage: https://cran.r-project.org/package=RANN
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rann
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/RANN_([-\d.]*)\.tar\.gz
